# 78. Query: trova "Fields" per "externalKey"

Trova "Campi" tramite l'externalKey del terzo fornitore incorporata durante la procedura di registrazione del "Campo".

### <mark style="color:arancione;">OPZIONE 1</mark> usando la query getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FindFieldsByExternalKeyOption1 {
  getFields(filter: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    conteggioTotale
    fields {
      uuid
      nome
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:arancione;">OPZIONE 2</mark> usando la query getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      nome
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/78.-query-trova-fields-per-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
